{
  "$id": "http://json-buddy.com/library/book",
  "type": "array",
  "description": "A list of books.",
  "items": {
    "type": "object",
    "required": [ "title" ],
    "properties": {
      "title": {
        "type": "string",
        "format": "my-custom-format"
      },
      "publisher": {
        "type": "string"
      },
      "author": {
        "$ref": "http://json-buddy.com/library/root#/$defs/author"
      }
    }
  }
}